Sketcher: Oggetto schizzo

From FreeCAD Documentation
This page is a translated version of the page Sketcher SketchObject and the translation is 36% complete.
Outdated translations are marked like this.
Other languages:

Introduzione

Un Sketcher SketchObject, o formalmente un Sketcher::SketchObject, è l'elemento base per creare oggetti 2D con l'ambiente Sketcher.

Sketcher::SketchObject deriva da Part Part2DObject, il che significa che è un oggetto Part Feature specializzato per la geometria 2D. Come Part2DObject, anche SketchObject può essere collegato a piani e facce. Inoltre, SketchObject è in grado di gestire i vincoli geometrici delle linee e delle curve disegnate al suo interno.

Diagramma semplificato delle relazioni tra gli oggetti principali in FreeCAD. La classe Sketcher::SketchObject è specializzata per le forme 2D e inoltre può gestire i vincoli.

Utilizzo

  1. Passare all'ambiente Sketcher.
  2. Premere Nuovo schizzo.
  3. Selezionare un orientamento: piano XY, piano XZ o piano YZ. Opzionalmente scegliere anche Direzione inversa, e assegnare un valore di Offset.
  4. Premere OK.

Sebbene SketchObject possa essere utilizzato da solo per disegnare su un piano, viene comunemente utilizzato insieme a PartDesign per creare solidi estrusi.

  1. Passare in PartDesign.
  2. Premere Crea un corpo.
  3. Premere Crea uno schizzo.
  4. Selezione della funzione: piano XY (piano base), piano XZ (piano base) o piano YZ (piano base).
  5. Premere OK.

Proprietà

Vedere Proprietà per tutti i tipi di proprietà che possono avere gli oggetti con script.

Un Sketcher SketchObject (classe Sketcher::SketchObject) deriva da un Part Part2DObject (Part::Part2DObject), quindi condivide tutte le proprietà di quest'ultimo.

Oltre alle proprietà descritte in Part Part2DObject, il corpo di PartDesign ha le seguenti proprietà nell'editor delle proprietà.

Dati

Sketch

  • Dati (Hidden)Geometry (GeometryList): a list of Part geometries that exist inside the sketch.
  • DatiConstraints: named constraints, if they exist; otherwise it is an empty list [].
  • DatiExternal Geometry (LinkSubList): a list of Part geometries outside this Sketch that are used for reference.
  • Dati (Hidden)Fully Constrained (Bool): (read-only) if true the sketch is fully constrained.

Vista

Auto Constraints

  • VistaAutoconstraints: se è true prova ad impostare i vincoli quando viene disegnata la geometria.
  • VistaAutoconstraints (Bool): if true constraints are automatically added when geometry is drawn.
  • VistaAvoid Redundant (Bool): if true redundant auto-constraints are avoided.

Grid

  • Vista (Hidden)Grid Auto Size (Bool): if true the grid is resized based on the boundingbox of the geometry of the sketch.
  • VistaGrid Size (Length): the size of the spacing of the local grid lines in the 3D view; it defaults to 10 mm.
  • VistaGrid Snap (Bool): if true the grid can be used to snap points.
  • VistaGrid Style (Enumeration): the style of the grid lines; Dashed (default) or Light.
  • VistaShow Grid (Bool): if true a grid local to the object will be displayed in the 3D view. This grid is independent of the Draft Grid.
  • VistaShow Only In Edit Mode (Bool): if true the grid is only displayed while the sketch is being edited.
  • VistaTight Grid (Bool): if true the local grid will be localized around the origin of the shape, otherwise it will extend itself more.
  • Vistamax Number Of Lines (Integer): the maximum number of lines in the grid.

Visibility automation

Visibility automation

  • VistaEditing Workbench: normalmente SketcherWorkbench, è il nome dell'ambiente da attivare durante la modifica dello schizzo.
  • VistaHide Dependent: se è true tutti gli oggetti che dipendono dallo schizzo vengono nascosti quando si apre lo schizzo.
  • VistaRestore Camera: se è true la posizione della telecamera viene salvata prima di aprire lo schizzo e viene ripristinata quando lo si chiude.
  • VistaShow Links: se è true tutti gli oggetti utilizzati nei collegamenti alla geometria esterna vengono visualizzati quando si apre lo schizzo.
  • VistaShow Support: se è true tutti gli oggetti a cui è associato questo schizzo vengono mostrati quando si apre lo schizzo.

Script

Vedere Part Feature per le informazioni generali.

Un oggetto Sketcher SketchObject viene creato con il metodo addObject() del documento.

import FreeCAD as App

doc = App.newDocument()
obj = App.ActiveDocument.addObject("Sketcher::SketchObject", "Sketch")
obj.Label = "Custom label"

For Python subclassing you should create the Sketcher::SketchObjectPython object.

import FreeCAD as App

doc = App.newDocument()
obj = App.ActiveDocument.addObject("Sketcher::SketchObjectPython", "CustomSketch")
obj.Label = "Custom label"